> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Create Screening Result

POST https://api.fortresstech.io/v1/screening-results
Content-Type: application/json

Onboarding RequiredCreate a screening resultScreening endpoints require an additional onboarding process. Please contact our team to begin the onboarding process for screening integration.

Reference: https://developer.fortresstech.io/api-reference/screenings/create-screening-result

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a ScreeningResultCreate.

- `idempotencyId` (string, required)
- `screeningRequestId` (string, required)
- `providerIdentifier` (string, required) — Unique identifier for the screening result
- `status` (enum, required) — The status of the screening result
  - Allowed values: `APPROVED`, `APPROVED_WITH_CONDITIONS`, `DECLINED`, `REFER`, `PENDING`, `CANCELED`, `CONDITIONAL`, `ERROR`
- `screeningMethods` (list of ScreeningMethodDetail, required) — Array of screening method details. Must include one entry for each screening method configured for the property. The number of methods provided must match the number of methods associated with the screening request.
- `transactionId` (string, optional) — Transaction ID associated with the screening result
- `adverseFactors` (list of string, optional) — Array of adverse factors for the screening result
- `providerStatus` (string, optional) — A code that maps to a specific description from the screening provider
- `applicationRecommendation` (string, optional) — Similar to the providerStatus field but more details provided for the overall application.
- `notes` (string, optional) — General notes about the screening result
- `report` (string, optional) — Link to a report for the screening result, if available
- `fortressStatus` (enum, optional) — The status of the screening result as determined by and used inside of Fortress
  - Allowed values: `Accept`, `Accept with Conditions`, `Fail`, `Refer`, `Pending`, `Error`

## Response

### 200

Expected response to a valid request

- `idempotencyId` (string, required)
- `screeningRequestId` (string, required)
- `providerIdentifier` (string, required) — Unique identifier for the screening result
- `status` (enum, required) — The status of the screening result
  - Allowed values: `APPROVED`, `APPROVED_WITH_CONDITIONS`, `DECLINED`, `REFER`, `PENDING`, `CANCELED`, `CONDITIONAL`, `ERROR`
- `screeningMethods` (list of ScreeningMethodDetail, required) — Array of screening method details. Must include one entry for each screening method configured for the property. The number of methods provided must match the number of methods associated with the screening request.
- `id` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `transactionId` (string, optional) — Transaction ID associated with the screening result
- `adverseFactors` (list of string, optional) — Array of adverse factors for the screening result
- `providerStatus` (string, optional) — A code that maps to a specific description from the screening provider
- `applicationRecommendation` (string, optional) — Similar to the providerStatus field but more details provided for the overall application.
- `notes` (string, optional) — General notes about the screening result
- `report` (string, optional) — Link to a report for the screening result, if available
- `fortressStatus` (enum, optional) — The status of the screening result as determined by and used inside of Fortress
  - Allowed values: `Accept`, `Accept with Conditions`, `Fail`, `Refer`, `Pending`, `Error`

## Types

### ScreeningMethodDetail

- `screeningMethodId` (string, required) — The ID of the screening method (e.g., credit, criminal, eviction)
- `status` (enum, required) — The status of this specific screening method
  - Allowed values: `APPROVED`, `APPROVED_WITH_CONDITIONS`, `DECLINED`, `REFER`, `PENDING`, `CANCELED`, `CONDITIONAL`, `ERROR`
- `notes` (string, optional) — Optional notes about this specific screening method result

## Examples

**Request**

```json
{
  "idempotencyId": "string",
  "screeningRequestId": "string",
  "providerIdentifier": "string",
  "status": "APPROVED",
  "screeningMethods": [
    {
      "screeningMethodId": "string",
      "status": "APPROVED"
    }
  ]
}
```

**Response**

```json
{
  "idempotencyId": "string",
  "screeningRequestId": "string",
  "providerIdentifier": "string",
  "status": "APPROVED",
  "screeningMethods": [
    {
      "screeningMethodId": "string",
      "status": "APPROVED",
      "notes": "string"
    }
  ],
  "id": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "deletedAt": "2024-01-15T09:30:00Z",
  "transactionId": "string",
  "adverseFactors": [
    "string"
  ],
  "providerStatus": "string",
  "applicationRecommendation": "string",
  "notes": "string",
  "report": "string",
  "fortressStatus": "Accept"
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/screening-results"

payload = {
    "idempotencyId": "string",
    "screeningRequestId": "string",
    "providerIdentifier": "string",
    "status": "APPROVED",
    "screeningMethods": [
        {
            "screeningMethodId": "string",
            "status": "APPROVED"
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/screening-results';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"idempotencyId":"string","screeningRequestId":"string","providerIdentifier":"string","status":"APPROVED","screeningMethods":[{"screeningMethodId":"string","status":"APPROVED"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/screening-results"

	payload := strings.NewReader("{\n  \"idempotencyId\": \"string\",\n  \"screeningRequestId\": \"string\",\n  \"providerIdentifier\": \"string\",\n  \"status\": \"APPROVED\",\n  \"screeningMethods\": [\n    {\n      \"screeningMethodId\": \"string\",\n      \"status\": \"APPROVED\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/screening-results")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"idempotencyId\": \"string\",\n  \"screeningRequestId\": \"string\",\n  \"providerIdentifier\": \"string\",\n  \"status\": \"APPROVED\",\n  \"screeningMethods\": [\n    {\n      \"screeningMethodId\": \"string\",\n      \"status\": \"APPROVED\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fortresstech.io/v1/screening-results")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"idempotencyId\": \"string\",\n  \"screeningRequestId\": \"string\",\n  \"providerIdentifier\": \"string\",\n  \"status\": \"APPROVED\",\n  \"screeningMethods\": [\n    {\n      \"screeningMethodId\": \"string\",\n      \"status\": \"APPROVED\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fortresstech.io/v1/screening-results', [
  'body' => '{
  "idempotencyId": "string",
  "screeningRequestId": "string",
  "providerIdentifier": "string",
  "status": "APPROVED",
  "screeningMethods": [
    {
      "screeningMethodId": "string",
      "status": "APPROVED"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/screening-results");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"idempotencyId\": \"string\",\n  \"screeningRequestId\": \"string\",\n  \"providerIdentifier\": \"string\",\n  \"status\": \"APPROVED\",\n  \"screeningMethods\": [\n    {\n      \"screeningMethodId\": \"string\",\n      \"status\": \"APPROVED\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "idempotencyId": "string",
  "screeningRequestId": "string",
  "providerIdentifier": "string",
  "status": "APPROVED",
  "screeningMethods": [
    [
      "screeningMethodId": "string",
      "status": "APPROVED"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/screening-results")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```